### Enumeration

# GtkNaturalWrapMode

since: 4.6

#### Declaration

    enum Gtk.NaturalWrapMode

#### Description [src]

Options for selecting a different wrap mode for natural size requests.

See for example the `GtkLabel:natural-wrap-mode` property.

Available since: 4.6

#### Members

`GTK_NATURAL_WRAP_INHERIT`

  Inherit the minimum size request. In particular, this should be used with `PANGO_WRAP_CHAR`.

  - Value: `0`
  - Nickname: `inherit`
  - Available since: 4.6
`GTK_NATURAL_WRAP_NONE`

  Try not to wrap the text. This mode is the closest to GTK3’s behavior but can lead to a wide label leaving lots of empty space below the text.

  - Value: `1`
  - Nickname: `none`
  - Available since: 4.6
`GTK_NATURAL_WRAP_WORD`

  Attempt to wrap at word boundaries. This is useful in particular when using `PANGO_WRAP_WORD_CHAR` as the wrap mode.

  - Value: `2`
  - Nickname: `word`
  - Available since: 4.6